<?php
/**
 * Project: 4SEO
 *
 * @package                 4SEO
 * @copyright               Copyright Weeblr llc - 2020-2023
 * @author                  Yannick Gaultier - Weeblr llc
 * @license                 GNU General Public License version 3; see LICENSE.md
 * @version                 4.5.1.2042
 *
 * @date        2023-02-15
 */

use Weeblr\Wblib\Forseo\Factory;
use Weeblr\Forseo\Helper;

// Security check to ensure this file is being included by a parent file.
defined('_JEXEC') || defined('WBLIB_EXEC') || die;

class Forseo
{
	/**
	 * Usage for 3rd-parties:
	 *
	 * if (Factory::getApplication()->isClient('site'))
	 * {
	 *   \Forseo::analyticsCookiesAccepted
	 *   (
	 *        [
	 *            'universalga',
	 *            'globalga',
	 *            'gtm',
	 *            'matomo',
	 *            'clarity',
	 *            'fbpixel'
	 *        ]
	 *    );
	 * }
	 *
	 * @param array $providers
	 * @return mixed
	 */
	public static function analyticsCookiesAccepted($providers = [])
	{
		return Factory::get()
					  ->getA(Helper\Analytics::class)
					  ->analyticsCookiesAccepted($providers);
	}

	public static function analyticsCookiesRejected($providers = [])
	{
		return Factory::get()
					  ->getA(Helper\Analytics::class)
					  ->analyticsCookiesRejected($providers);
	}
}