<?php
/**
 * 4SEO
 *
 * @package          4SEO
 * @copyright        Copyright Weeblr llc - 2020-2023
 * @author           Yannick Gaultier - Weeblr llc
 * @license          GNU General Public License version 3; see LICENSE.md
 * @version          4.5.1.2042
 * @date        2023-02-15
 *
 */

namespace Weeblr\Wblib\Forseo\Messages;

use Weeblr\Wblib\Forseo\Api;
use Weeblr\Wblib\Forseo\Wb;

// no direct access
defined('_JEXEC') || defined('WBLIB_EXEC') || die;

/**
 * API class, makes API available.
 */
class Handler extends Api\Handler
{
	/**
	 * Register all routes with the API layer.
	 */
	public function register($options = [])
	{
		$msgManager = Wb\arrayGet($options, 'msgManager');
		if (empty($msgManager))
		{
			throw new \Exception(__METHOD__ . ': no messages manager supplied when registering api handler.');
		}
		$apiController = $this->factory
			->getA(Controller::class)
			->setMsgManager(
				$msgManager
			);

		$this->api
			//
			// Change status ---------------------------------------------------------------------
			//
			->patch(
				$this->namespace,
				$this->version,
				'/messages/{id}',
				[
					$apiController,
					'patch',
				],
				$this->defaultApiOptions
			)
			//
			// Reset reminders -------------------------------------------------------------------
			//
			->patch(
				$this->namespace,
				$this->version,
				'/messages',
				[
					$apiController,
					'resetReminders',
				],
				$this->defaultApiOptions
			);

		return $this;
	}
}
