<?php
/**
 * Project:                 4SEO
 *
 * @package                 4SEO
 * @copyright               Copyright Weeblr llc - 2020-2023
 * @author                  Yannick Gaultier - Weeblr llc
 * @license                 GNU General Public License version 3; see LICENSE.md
 * @version                 @build_version_full_build@
 *
 * 2023-02-15
 */

namespace Weeblr\Wblib\Forseo\Seo;

// Security check to ensure this file is being included by a parent file.
defined('_JEXEC') || defined('WBLIB_Forseo_ROOT_PATH') || die;

class Google extends Searchengine
{
	/**
	 * @var string Internal id of this search engine.
	 */
	public $id = self::GOOGLE;

	/**
	 * @var string Public name of this search engine.
	 */
	public $name = 'Google';

	/**
	 * https://developers.google.com/search/docs/advanced/crawling/overview-google-crawlers
	 *
	 * @var string[] List of possible user agents.
	 */
	protected $userAgents = [
		'Googlebot'
	];

	/**
	 * @var string[] List of possible hosts.
	 */
	protected $allowedHosts = [
		'.google.com',
		'.googlebot.com'
	];
}
